<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class WebToolsStdTempl extends Datamodul
{
  public $id;
  public $stammtyp;
  public $tool_id;
  public $template_id;
  public $validfrom;
  public $validuntil;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'validfrom':
      case 'validuntil':
        return \DatamodulVarType::TYPE_DATE;
      case 'stammtyp':
      case 'tool_id':
      case 'template_id':
        return \DatamodulVarType::TYPE_INT;
    }
  }
}